package com.patzn.lims.res.flow;

import java.io.Serializable;

/**
 * <p>
 * 业务组件
 * </p>
 *
 * @author hubin
 * @since 2018-05-18
 */
public class Component implements Serializable {

    /**
     * 匹配条件
     */
    private Object condition;

    /**
     * 组件名
     */
    private String name;

    public Component() {
        // to do nothing
    }

    public Component(Object condition, String name) {
        this.condition = condition;
        this.name = name;
    }

    public Object getCondition() {
        return condition;
    }

    public void setCondition(Object condition) {
        this.condition = condition;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}
